#!/usr/bin/env python 

import re
import sys
import os
import fileinput

REGEXP=sys.argv[1]
SSH_ARGS=sys.argv[2]

fips = {}
nfnetworks = {}
eips= {}

return_string=""

for line in sys.stdin:
    entries=[ a.strip() for a in line.split("|") if a.strip() ]
    # Make it work with multiple networks and ext ips
    ips = entries[5].split(",")
    pnetwork = ips[0].split("=")
    found = re.search(REGEXP, entries[1]) 
    first_ext = None
    if found and len(ips) == 2:
        first_ext = ips[1].split(";")[0].strip()

        fips[entries[0]] = first_ext
        
        if return_string:
            return_string += "\n"
        return_string += "{}".format(fips[entries[0]])

    if len(ips) == 2:
        eips[pnetwork[0]] = first_ext # ips[1].strip()
    elif found:
        if pnetwork[0] not in nfnetworks:
            nfnetworks[pnetwork[0]] = []    
        nfnetworks[pnetwork[0]].append({'iip': pnetwork[1], 'id': entries[0]})
     

for nw, nlist in nfnetworks.items():
    for info in nlist:
        if nw in eips:
            fips[info["id"]] = info["iip"]
            if return_string:
                return_string += "\n"
            #return_string += "-A -t -o ForwardAgent=yes {} ssh -A -o ForwardAgent=yes -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null {}".format(eips[nw], info["iip"])
            return_string += "-o ProxyCommand='ssh {} -q -W {}:22 {}' {}".format(SSH_ARGS, info["iip"], eips[nw], eips[nw])

print return_string

