#!/bin/bash

SSH_SERVERS="${HOSTS:-$*}"

SESSION_NAME="ssh-multi-openstack__$(tr '\n' ' ' <<<"$SSH_SERVERS" | sed -E -e 's| |-|g' -e 's|[^a-z0-9A-Z\-]|_|g')"
echo $SESSION_NAME

if [ -n "$VERBOSE" ]; then
	export VERBOSE="$VERBOSE" 
	echo "Logging to tmux window 0"
fi

if [ "$TERM" == "screen" ] && [ -n "$TMUX" ]; then
	~/bin/ssh-multi.sh "${SSH_SERVERS}"
elif [ -n "$VERBOSE" ]; then
	tmux a -t "$SESSION_NAME" || tmux new -s "$SESSION_NAME" "export SSH_ARGS=\"$SSH_ARGS\" && export VERBOSE=$VERBOSE && ~/bin/ssh-multi.sh \"${SSH_SERVERS}\""
else
	tmux a -t "$SESSION_NAME" || tmux new -s "$SESSION_NAME" "export SSH_ARGS=\"$SSH_ARGS\" && ~/bin/ssh-multi.sh \"${SSH_SERVERS}\""
fi

