# INTRODUCTION

This repo contains playbooks for different kind of installations of the LRS delegation framework.

Playbooks are run on an installation machine. The machine which the
playbook installs/deploys are called the target machine.

# SPECIFIC INSTRUCTIONS

## Common

- [PREPARE THE INSTALLATION MACHINE](doc/prepare_installation.md)

## WARA

- [INSTALL A WARA NUC (GENERIC)](doc/generic_wara_nuc.md)
- [INSTALL A WARA NUC (PIRAYA KOCKUMS)](doc/piraya_nuc.md)
- [INSTALL A WARA CLOUD MACHINE](doc/wara_cloud.md)

- [VPN SERVER](doc/vpn_server.md)
- [CREATE VOLUME WITH MODELS AND VIDEOS](doc/data_volume.md)
- [INSTALL A WARA CLOUD GPU MACHINE](doc/wara_gpu_cloud.md)
- [INSTALL WARA LOCALLY](doc/wara_local.md) Used this for building virtual machine...

## ITN

- [ITN INSTALLATION AND USAGE](doc/itn.md)

## LRS

- [INSTALL AN LRS NUC (MATRICE NUC)](doc/lrs_nuc.md)
- [INSTALL LRS LOCALLY](doc/lrs_local.md)
- [INSTALL INFERENCE SERVER AND CLIENT LOCALLY](doc/inference_local.md)
- [UPDATE AN LRS NUC (MATRICE NUC)](doc/lrs_nuc_update.md)
- [INSTALL LRS CLOUD](doc/lrs_cloud.md)

## Create lrs gw

ansible-playbook -i hosts playbooks/create_vpnserver.yml -e hostname=lrs_gw -e flavor=c1m1

