## lrs-bagdb


Instruction of how to set up a bagdb machine.

```bash
ansible-playbook -i hosts playbooks/create_bagdb.yml
```

Which will fail for some tasks. Then check the IP-number with

```bash
openstack server list
```

Then configure SSH so you can log in to the machine. Then rerun:

```bash
ansible-playbook -i hosts playbooks/create_bagdb.yml
```

and everything should work.

Then install docker and bagdb things:

```bash
ansible-playbook -i hosts playbooks/bagdb.yml
```

Copy the bagfiles to /opt/bags.

Then start the two docker containers:

```bash
ssh lrs-bagdb
sh startpostgis.sh 
```

```bash
ssh lrs-bagdb
sh startbagdatabase.sh
```




## wara-bagdb


Instruction of how to set-up a wara-bagdb machine.

```bash
ansible-playbook -i hosts playbooks/create_wara_bagdb.yml
```

Which will fail for some tasks. Then check the IP-number with

```bash
openstack server list
```

Then configure ssh so you can login to the machine. The rerun:

```bash
ansible-playbook -i hosts playbooks/create_wara_bagdb.yml
```

and everything should work.

Then install docker and bagdb things:

```bash
ansible-playbook -i hosts playbooks/bagdb.yml
```

Copy the bagfiles to /opt/bags.

Then start the two docker containers:

```bash
ssh lrs-bagdb
sh startpostgis.sh 
```

```bash
ssh lrs-bagdb
sh startbagdatabase.sh
```

## Adding /geopoint (GeoPointStamped) and /gps

```bash
roscore
roslaunch lrs_launch location_granso.launch ns:=/dji0
rosparam set /use_sim_time
rosbag play 2019-09-04-09-47-11.bag --clock
rosrun lrs_tools tf_to_geopoint __ns:=/dji0
rosbag record -a
```
