# INSTALL INFERENCE SERVER AND CLIENT LOCALLY

Let USER be the user you log in with. Let INSTALL_USER be the user used
to install user specific software.  A common case is that USE and
INSTALL_USER are both lrs or any other user on the machine.

Make sure that
```bash
ssh USER@localhost
```
does not require a password (use "ssh-copy-id -i USER@localhost" to install the needed key).

After logging in make sure that
```bash
sudo ls
```
does not require a password (use "sudo visudo" to edit permissions, add `NOPASSWD:` in the right place).

To avoid the machine rebooting during installation start with manually
installing the nvidia driver needed:
```bash
sudo add-apt-repository ppa:graphics-drivers
sudo apt update
sudo apt install nvidia-driver-410
# Maybe reboot is needed here...
```

To install everything needed for the tensor inference server and client:
```bash
git clone git@gitlab.liu.se:lrs/lrs_playbooks.git
cd lrs_playbooks
ansible-playbook -i hosts playbooks/nvidia-docker.yml -e install_user=INSTALL_USER -e hostname=localhost -e user=USER
```
