# ITN INSTALLATION AND USAGE

OLD INSTRUCTIONS, NOT USED OR TESTED ANYMORE.

This is tested on an Ubuntu 18.04 machine.

## Installing Released Version of Ansible on Ubuntu

```bash
sudo apt-get update
sudo apt-get install software-properties-common
sudo apt-add-repository --yes --update ppa:ansible/ansible
sudo apt-get install ansible
```

## Keys

Copy the keys to .ssh:

In the directory were lrs_playbooks are checked out do:
```bash
git clone git@gitlab.liu.se:lrs/lrs_itn.git
cd lrs_itn/keys
cp itn ~/.ssh/
cp itn_deploy ~/.ssh/
cp itn_deploy.pub ~/.ssh/
chmod 600 ~/.ssh/itn
chmod 600 ~/.ssh/itn_deploy
```

## Configuring /etc/hosts

If sym01-sym04 is not in the nameserver put the following in /etc/hosts:
```
130.236.132.88  sym01 sym01.itn.liu.se
130.236.132.90  sym02 sym02.itn.liu.se
130.236.132.84  sym03 sym03.itn.liu.se
130.236.132.76  sym04 sym04.itn.liu.se
```

## Configuring ssh

To be able to login to the ITN machines put the following in .ssh/config:

```
Host sym01
  Hostname sym01
  StrictHostKeyChecking no
  User lrs
  IdentityFile ~/.ssh/itn    
  IdentitiesOnly yes

Host sym02
  Hostname sym02
  StrictHostKeyChecking no
  User lrs
  IdentityFile ~/.ssh/itn    
  IdentitiesOnly yes

Host sym03
  Hostname sym03
  StrictHostKeyChecking no
  User lrs
  IdentityFile ~/.ssh/itn    
  IdentitiesOnly yes

Host sym04
  Hostname sym04
  StrictHostKeyChecking no
  User lrs
  IdentityFile ~/.ssh/itn    
  IdentitiesOnly yes
```

Test ssh login as user lrs:
```bash
ssh sym01
ssh sym02
ssh sym03
ssh sym04
```

## Install delegation/ros software

Install delegation/ros software on sym01 to sym04:
```bash
ansible-playbook -i hosts playbooks/itn.yml -e ansible_sudo_pass=******
```

## Running the itn machines.

Test that things are working:

```bash
ssh sym01
ex 0
```

```bash
ssh sym02
ex 1
```

```bash
ssh sym03
ex 2
```

```bash
ssh X sym04
op 0
# In for example screen 2
rosrun lrs_delegation deltester.py --all
rosrun lrs_delegation deltester.py --all --exec
```

## Running Some Gränsö Demo Scenarios in ITN machines

```bash
ssh sym01
djisim 0
```

```bash
ssh sym02
djisim 1
```

```bash
ssh sym03
pirayasim 1
```

```bash
ssh -X sym04
op 0
rosrun lrs_examples testdelserver.py --demo-lookat-granso
rosrun lrs_examples testdelserver.py --demo-search-granso
```

