# INSTALL AN LRS NUC (MATRICE NUC)

This is how to install a NUC that also contains non-wara-ps software
and is intended for machines used in the internal research in AIICS.

The NUC is here the target machine.

- Install Ubuntu Server 18.04 from a USB stick. Get the image from for examples:
```bash
https://www.ubuntu.com/download/server
```
Download 18.04.X LTS.

- During installation configure the network and also create a user according to:
```
Username: lrs
Password: ******
```

Choose a suitable hostname. Suppose the IP number for the new machine is 192.168.7.33

- After installation if needed configure the network.

- From the installation machine do:
```bash
ssh-copy-id -i wara@192.168.7.33
```

- On the installation machine add the following to .ssh/config (assume we call the target machine mat15):
```
Host mat15
  Hostname 192.168.7.33
  User lrs
  StrictHostKeyChecking no
```

- Log in on the mat15 NUC (192.168.2.33) and edit sudoers with the command "sudo visudo" and edit the line:
```bash
%sudo   ALL=(ALL:ALL) ALL
```
to
```bash
%sudo  ALL=(ALL:ALL) NOPASSWD: ALL
```

On the installation machine do:
```bash
cd lrs_playbooks
ansible-playbook -i hosts playbooks/lrs.yml -e user=lrs -e install_user=lrs -e hostname=lrsnucservers -e replace_bashrc=yes
```

This will install or update all NUC servers (`lrsnucservers`) specified
in the hosts file and that are reachable from the installation
machine. It will also configure openvpn so that the machine connects
to the WARA openvpn network.

If you update an old machine with java 8 you might have to do:
```bash
sudo update-alternatives --config java
sudo update-alternatives --config javac
```