# PREPARE THE INSTALLATION MACHINE.

This is tested on an Ubuntu 18.04 machine.

## Installing Released Version of Ansible on Ubuntu

```bash
sudo apt-get update
sudo apt-get install software-properties-common
sudo apt-add-repository --yes --update ppa:ansible/ansible
sudo apt-get install ansible
```

## Configuring Ansible

If you use a passphrase for your ssh connections then you might need
to do some configuration. if you run ansible-playbook from
lrs_playbooks/playbooks then there is a file ansible.cfg in that
directory which configure things correctly. If you do not run from this directory
you need to create ~/.ansible.cfg and put the
following in that file:
```bash
[ssh_connection] 
ssh_args = -o ForwardAgent=true
```

## Installing openstack client and SDK

```bash
sudo apt install python-openstackclient python-pip
pip install openstacksdk
```

```bash
pip list | grep openstack
```

gives:

```bash
openstacksdk (0.22.0)
python-openstackclient (3.14.2)
```

Then reinstalling machine works.

Possibly you have to do:
```bash
sudo apt purge python-openstackclient
sudo apt install python-openstackclient
```
to fix a wrongly installed machine.

## Get repo for playbooks

Check out the repo with all the playbooks:
```bash
git clone git@gitlab.liu.se:lrs/lrs_playbooks.git
```

## Environment Variables

In order to run Ansible some environment variables needs to be set,
The simplest way to do this is by downloading a script from the Openstack.

- In a browser, login to [Xerces](http://xerces.ericsson.net/). Domain should be xerces.
- Goto __Project -> API Access__ and press `Download Openstack RC
  File` Choose __API V3__ version (V 2.0 is outdated)

The downloaded file will be named SAFE-openrc.sh`.

Remember where you save the file, it will be needed soon. Also rename
it if you like, the file will be referred to as __openrc.sh__ for the
remains of this document.

To give openstack client and ansible access to SAFE/Xerces in a bash shell do:
```bash
source openrc.sh
```

The password is the one you used to login to Xerces.

## HOST NAMES

For the installation of a NUC or a cloud computer to succeed a openvpn
config file have to be generated. So only certain host names can be
chosen. If you need other hostnames please email tommy.persson@liu.se
and request them.

The available host names now is:

### KOCKUMS:

- piraya0
- piraya1
- piraya2
- piraya3
- piraya4
- piraya5

### COMBITECH cloud instances

These are in the playbooks host file:

- comb-0
- comb-1
- comb-2
- comb-3

### WARA cloud instances

- wara-0
- ...
- wara-9

### LRS cloud instances

- lrs-0
- ...
- lrs-9

