# INSTALL WARA LOCALLY

This is how to install lrs software on a local machine

First make sure openssh is installed:
```bash
sudo apt install openssh-server
```

Then make sure that the released version of ansible is installed:
```bash
sudo apt update
sudo apt install software-properties-common
sudo apt-add-repository --yes --update ppa:ansible/ansible
sudo apt install ansible
```

Let USER be the user you login with. Let INSTALL_USER be the user used
to install user specific software.  A common case is that USER and
INSTALL_USER are both wara or any other user on the machine.

Make sure that
```bash
ssh USER@localhost
```
does not require a password (use "ssh-copy-id -i USER@localhost" to install the needed key).

After logging in make sure that
```bash
sudo ls
```
does not require a password (use "sudo visudo" to edit permissions,
add `NOPASSWD:` in the right place). That is edit the line:
```bash
%sudo   ALL=(ALL:ALL) ALL
```
to
```bash
%sudo  ALL=(ALL:ALL) NOPASSWD: ALL
```

If this is considered a security risk the alternativ is to give the
password as argument to the ansible-playbook command:
```bash
ansible-playbook -i hosts playbooks/wara.yml -e ansible_sudo_pass=******
```

Copy `wara_deploy` and `wara_deploy.pub` to `.ssh`.


To install the wara software do:
```bash
env GIT_SSH_COMMAND='ssh -i /home/wara/.ssh/wara_deploy' git clone git@gitlab.liu.se:lrs/lrs_playbooks.git
cd lrs_playbooks
ansible-playbook -i hosts playbooks/wara.yml -e install_user=INSTALL_USER -e hostname=localhost -e user=USER [-e vpnhostname=VPNHOSTNAME] [-e replace_bashrc=yes] [-e ansible_sudo_pass=******]
```

USER is the user you login with.  INSTALL USER is the user were the
lrs system is going to be installed. Usually they are the same. So for example:
```bash
ansible-playbook -i hosts playbooks/wara.yml -e install_user=wara -e hostname=localhost -e user=wara -e replace_bashrc=yes
```


If you do not set replace_bashrc to yes you need to make sure that .bashrc file contains:
```bash
if [ -f ~/.sub_bashrc ]; then
    . ~/.sub_bashrc
fi
```

And look through the .sub_bashrc file so it does not duplicate or
override things you have or that you do not override important things.

