#!/bin/bash

#set -x

rm ${HOME}/.ssh/xerces_config.*

SERVERS="$(openstack server list | grep LRS_Internal | grep -v vpnserver | grep -v lrs_gw | grep -v gpu)"

while read -r line; do
    echo "LINE: $line"
    read -ra fields <<< "$line"
    hname=${fields[3]}
    netline="${fields[7]}"
    IFS== read -ra fields <<< "$netline"
    ip="${fields[1]}"
    fname="${HOME}/.ssh/xerces_config.${hname}"

    echo > $fname
    echo "Host ${hname}" >> $fname
    echo "  Hostname ${ip}" >> $fname
    echo "  User ubuntu" >> $fname
    echo "  ProxyJump vpnserver" >> $fname
    echo "  IdentityFile ~/.ssh/safekey.pem" >> $fname
    echo "  StrictHostKeyChecking no" >> $fname
    

    echo "${fname} ${hname} ${ip}"
#    echo "$line"
done <<< "$SERVERS"

cat "${HOME}/.ssh/config.vpnserver" > ${HOME}/.ssh/config
cat "${HOME}/.ssh/config.xerces" >> ${HOME}/.ssh/config
cat ${HOME}/.ssh/xerces_config.* >> ${HOME}/.ssh/config
cat "${HOME}/.ssh/config.manual" >> ${HOME}/.ssh/config
